Subject: Re: [dnsext] A few notes on the IXFR-ONLY draft

From: Alfred Hönes <[email-masked]>
Date: Sun, 1 Nov 2009 21:18:14 +0100 (MEZ)

At Sat, 31 Oct 2009 16:49:52 +0000, Joe Abley wrote:

> On 2009-10-30, at 14:16, Alfred Hönes wrote:
>
>> NEW:
>>
>> |  This documents proposes a new QTYPE (Query pseudo RRtype) for the
>> |  Domain Name System (DNS).  IXFR-ONLY is a variant of IXFR (RFC 1995)
>> |  that allows an authoritative server to incrementally update zone
>> |  content from another (primary) server without falling back from IXFR
>> |  to AXFR in case of an SOA Serial mismatch.  This way, alternate peers
>> |  can be contacted more quickly and convergence of zone content may be
>> |  achieved much faster in important, resilient operational scenarios.
>
> Your text misses slightly here since you misrepresent the effect of an
> "SOA serial mismatch". The generation of an AXFR response to an
> inbound IXFR happens for server-specific reasons (most often, you
> would expect, because the specific delta requested by the IXFR client
> cannot be isolated by the server).
>
> An SOA mismatch is expected for any kind of transfer; if the SOA of
> the zone concerned was identical on both servers then no transfer of
> any kind would normally be attempted at all.
>
> Joe

Joe,

I didn't say that this strawman text should be the final version.
I had introduced the proposal with:

>> To give a starting point, here's my proposal for an improved Abstract:
   ^^^^^^^^^^^^^^^^^^^^^^^^

The Abstract can and should not go into all details.  I tried to
give an idea of what distinguishing conditions call for the
solution presented in the draft, in very few words.  The main goal
should be to help a reader decide if the memo is relevant for him
(and to make help friends in the IESG for the matter  :-) ).
So please feel free to improve the 'management version' of the
reasoning; the full details should be in the body of the memo (and
they IMO indeed are there!).

  Alfred.